Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.maintenance
Class MaintenanceFrequency

    Object
      CodeList<MaintenanceFrequency>
          MaintenanceFrequency

All Implemented Interfaces:
  Serializable, Comparable<MaintenanceFrequency>

    @UML(identifier="MD_MaintenanceFrequencyCode",
         specification=ISO_19115)
    public final class MaintenanceFrequency

extends CodeList<MaintenanceFrequency>

Frequency with which modifications and deletions are made to the data after it is first produced.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static MaintenanceFrequency` | `ANNUALLY` Data is updated every year.
`static MaintenanceFrequency` | `AS_NEEDED` Data is updated as deemed necessary.
`static MaintenanceFrequency` | `BIANNUALLY` Data is updated twice each year.
`static MaintenanceFrequency` | `CONTINUAL` Data is repeatedly and frequently updated.
`static MaintenanceFrequency` | `DAILY` Data is updated each day.
`static MaintenanceFrequency` | `FORTNIGHTLY` Data is updated every two weeks.
`static MaintenanceFrequency` | `IRREGULAR` Data is updated in intervals that are uneven in duration.
`static MaintenanceFrequency` | `MONTHLY` Data is updated each month.
`static MaintenanceFrequency` | `NOT_PLANNED` There are no plans to update the data.
`static MaintenanceFrequency` | `QUARTERLY` Data is updated every three months.
`static MaintenanceFrequency` | `UNKNOW` Frequency of maintenance for the data is not known
`static MaintenanceFrequency` | `WEEKLY` Data is updated on a weekly basis.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static MaintenanceFrequency` | `valueOf(String code)` Returns the MaintenanceFrequency that matches the given string, or returns a new one if none match it.
`static MaintenanceFrequency[]` | `values()` Returns the list of `MaintenanceFrequency`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONTINUAL

    @UML(identifier="continual",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MaintenanceFrequency CONTINUAL

  Data is repeatedly and frequently updated.

### DAILY

    @UML(identifier="daily",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MaintenanceFrequency DAILY

  Data is updated each day.

### WEEKLY

    @UML(identifier="weekly",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MaintenanceFrequency WEEKLY

  Data is updated on a weekly basis.

### FORTNIGHTLY

    @UML(identifier="fortnightly",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MaintenanceFrequency FORTNIGHTLY

  Data is updated every two weeks.

### MONTHLY

    @UML(identifier="monthly",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MaintenanceFrequency MONTHLY

  Data is updated each month.

### QUARTERLY

    @UML(identifier="quarterly",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MaintenanceFrequency QUARTERLY

  Data is updated every three months.

### BIANNUALLY

    @UML(identifier="biannually",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MaintenanceFrequency BIANNUALLY

  Data is updated twice each year.

### ANNUALLY

    @UML(identifier="annually",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MaintenanceFrequency ANNUALLY

  Data is updated every year.

### AS_NEEDED

    @UML(identifier="asNeeded",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MaintenanceFrequency AS_NEEDED

  Data is updated as deemed necessary.

### IRREGULAR

    @UML(identifier="irregular",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MaintenanceFrequency IRREGULAR

  Data is updated in intervals that are uneven in duration.

### NOT_PLANNED

    @UML(identifier="notPlanned",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MaintenanceFrequency NOT_PLANNED

  There are no plans to update the data.

### UNKNOW

    @UML(identifier="unknow",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MaintenanceFrequency UNKNOW

  Frequency of maintenance for the data is not known

Method Detail

### values

    public static MaintenanceFrequency[] values()

  Returns the list of `MaintenanceFrequency`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<MaintenanceFrequency>`

### valueOf

    public static MaintenanceFrequency valueOf(String code)

  Returns the MaintenanceFrequency that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.